# maxBytes

Limits the maximum size of a bulk HTTP request when `bulkMode` is enabled.

This parameter applies to omclickhouse: ClickHouse Output Module.

Name:

  maxBytes

Scope:

  input

Type:

  size

Default:

  104857600/100mb

Required?:

  no

Introduced:

  not specified

## Description

When shipping logs with `bulkMode` on, `maxBytes` specifies the maximum size of the request body sent to ClickHouse. Logs are batched until either the buffer reaches `maxBytes` or the dequeue batch size is reached.

## Input usage

    module(load="omclickhouse")
    action(type="omclickhouse" maxBytes="64mb")

## See also

See also omclickhouse: ClickHouse Output Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.